List Chat Messages
curl --request GET \
--url https://agent-studio.thena.ai/api/v1/chat/{agent_id}/threads/{thread_id}/messages \
--header 'x-api-key: <api-key>'import requests
url = "https://agent-studio.thena.ai/api/v1/chat/{agent_id}/threads/{thread_id}/messages"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://agent-studio.thena.ai/api/v1/chat/{agent_id}/threads/{thread_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"role": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content_html": "<string>",
"tool_calls": [
{
"tool_name": "<string>",
"arguments": {},
"start_time": "2023-11-07T05:31:56Z",
"result": {},
"error": "<string>",
"end_time": "2023-11-07T05:31:56Z"
}
],
"attachments": [
{}
],
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"feedback": {
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"human_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ai_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flow_execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"feedback_type": "<string>",
"issue_type": "<string>",
"comment": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Chat
List Chat Messages
Get all messages for a specific chat thread.
GET
/
api
/
v1
/
chat
/
{agent_id}
/
threads
/
{thread_id}
/
messages
List Chat Messages
Authorizations
Path Parameters
ID of the chat thread
Query Parameters
Number of messages to return
Required range:
1 <= x <= 100Number of messages to skip
Required range:
x >= 0Filter out suggestions from message content
Response
Successful Response
Pattern:
^(user|assistant|system|tool)$Show child attributes
Show child attributes
Simplified model for chat message feedback (excluding Portkey fields).
Show child attributes
Show child attributes
⌘I